Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000623Core InformRules and rulebookspublic2011-03-21 14:352014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000623: ``While'' and ``when'' are not completely interchangeable
DescriptionNormally ``while'' and ``when'' are interchangeable, but in the attached source the particular combination ``while'' first, ``when'' second is rejected. Other combinations are allowed. The problem message:

- - - -
Problem. You wrote 'Instead of jumping while looking when true is true' , which seems to introduce a rule taking effect only if the action is 'jumping while looking when true is true'. The part after 'when' (or 'while') was fine, but the earlier words did not make sense as a description of an action. I am unable to place this rule into any rulebook.
 See the manual: 7.1 > Actions
- - - -
Minimal Source Text To Reproduce
There is a room.
Instead of jumping while looking when true is true:
	do nothing.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0001710)
EmacsUser (manager)
2012-07-04 09:24

Possibly a non-bug per 0000274:0000479, though then the problem message should communicate this information.
(0002268)
graham (administrator)
2014-01-12 06:12

This no longer happens.

- Issue History
Date Modified Username Field Change
2011-03-21 14:35 EmacsUser New Issue
2011-03-21 14:35 EmacsUser Issue generated from 0000620
2011-03-22 17:46 jmcgrew Status new => acknowledged
2011-05-30 22:10 jmcgrew Status acknowledged => confirmed
2012-07-04 09:24 EmacsUser Note Added: 0001710
2014-01-12 06:12 graham Note Added: 0002268
2014-01-12 06:12 graham Status confirmed => resolved
2014-01-12 06:12 graham Resolution open => fixed
2014-01-12 06:12 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker